View Issue Details

IDProjectCategoryView StatusLast Update
0001847Far ManagerPlugins APIpublic2011-11-11 10:05
ReporterMaximusAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001847: Не удается проверить "модальность" редактора
DescriptionРаньше, флаг WIF_CURRENT выставлялся только в том случае, если НЕ было модального редактора или вьювера.
Сейчас этот флаг - выставляется в любом случае.

1. Я не к тому, что нужно вернуть старое поведение. Лучше в апи добавить флаг WIF_MODAL

2. Даже если редактор модальный - через апи можно переключиться в другое окно. Думаю. это баг
TagsNo tags attached.
Build0

Activities

Maximus

2011-08-09 14:22

reporter   bugnote:0007432

повторяется только в том случае, если НЕмодальный редактор вызывается пока висит меню (например, F11 -> FarColorer).
В итоге, через api можно переключаться между окнами (огребая в итоге глюки с отрисовкой), но F12 сам фар все-таки игнорирует.

Maximus

2011-10-18 14:47

reporter   bugnote:0007899

тикет сформулирован неправильно, можно убить

vskirdin

2011-11-10 16:23

administrator   bugnote:0007977

кого убивать?

Maximus

2011-11-10 22:27

reporter   bugnote:0007978

закрыть

Issue History

Date Modified Username Field Change
2011-08-09 13:31 Maximus New Issue
2011-08-09 14:22 Maximus Note Added: 0007432
2011-10-18 14:47 Maximus Note Added: 0007899
2011-11-10 16:23 vskirdin Note Added: 0007977
2011-11-10 22:27 Maximus Note Added: 0007978
2011-11-10 22:27 Maximus Status new => resolved
2011-11-11 10:05 vskirdin Build => 0
2011-11-11 10:05 vskirdin Status resolved => closed
2011-11-11 10:05 vskirdin Assigned To => vskirdin
2011-11-11 10:05 vskirdin Resolution open => fixed
2011-11-11 10:05 vskirdin Fixed in Version => 3.0